﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@model Toyota.Common.Web.MVC.ModelHolder

<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 5px; width:1335px">
 @*<table border="0">
    <tr>
        <td>*@
            <table border="0">
                <tr>
                    <td style="width: 70px">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label";
                                label.Text = "Trucking";
                                label.Width = 46;
                            }).GetHtml()
                            <font color="red">*</font>
                    </td>
                    <td>
                        @Html.Common().DevExpress().GridLookup(
                            s =>
                            {
                                s.Name = "gridLP";
                                s.GridProperties.Name = "gridLP";
                                s.GridProperties.KeyFieldName = "LPCode";
                                s.Width = 150;
                                s.GridProperties.Width = 150;
                                s.GridProperties.CallbackRouteValues = new { Controller = "RoutePrice", Action = "CallBackLP" };
                                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(360);
                                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(90);
                                
                                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                                s.ReadOnly = true;
                                
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "LPCode";
                                    c.FieldName = "LPCode";
                                    c.Caption = "Code";
                                    c.Width = Unit.Pixel(60);
                                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "LPName";
                                    c.FieldName = "LPName";
                                    c.Caption = "Name";
                                });
                            }
                                 ).Bind(ViewData["viewLP"]).GetHtml()
                    </td>
                    <td></td>
                    <td></td>
                    <td style="width: 60px">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label";
                                label.Text = "Route";
                                label.Width = 40;
                            }).GetHtml()
                    </td>
                    
                    <td>
                        @Html.Common().DevExpress().GridLookup(
                            s =>
                            {
                                s.Name = "gridRoute";
                                //s.GridProperties.Name = "gridRoute";
                                s.GridProperties.KeyFieldName = "ROUTE";
                                s.Width = 150;
                                s.GridProperties.Width = 150;
                                s.GridProperties.CallbackRouteValues = new { Controller = "RoutePrice", Action = "CallBackRoute" };
                                s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(250);
                                s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                                s.ReadOnly=true;
                                
                                s.GridProperties.CommandColumn.Width = Unit.Pixel(15);
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "ROUTECode";
                                    c.FieldName = "ROUTE";
                                    c.Caption = "Code";
                                    c.Width = Unit.Pixel(80);
                                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "ROUTEName";
                                    c.FieldName = "ROUTE_NAME";
                                    c.Caption = "Name";
                                    //c.Width = Unit.Pixel(140);
                                    c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                });
                            }
                        ).Bind(ViewData["viewRoute"]).GetHtml()
                    </td>
                    
                    
                    <td></td>
                    <td></td>
                    <td style="width: 70px">
                        @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label";
                                label.Text = "Valid From";
                                label.Width = 70;
                            }).GetHtml()
                    </td>
                    <td>
                         @Html.DevExpress().DateEdit(
                            settings =>
                            {
                                settings.Name = "ValidFrom";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 150;
                                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                settings.Properties.EditFormatString = "dd.MM.yyyy";
                                settings.Properties.AllowUserInput = false;
                            }
                        ).GetHtml()
                    </td>
                    <td style="width: 30px" align="center">To</td>
                    <td>
                        @Html.DevExpress().DateEdit(
                            settings =>
                            {
                                settings.Name = "ValidTo";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 150;
                                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                settings.Properties.EditFormatString = "dd.MM.yyyy";
                                settings.Properties.AllowUserInput = false;
                            }
                        ).GetHtml()
                    </td>
                   
                   <td align="right" style="width: 750px">
                 @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "Search";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnSearch";
                }
            ).GetHtml()
            </td>

            <td align="right">
             @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "Clear";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnClear";
                }
            ).GetHtml()
            </td>

            </tr>
    
</table>
</div>

<div style="height: 3px;">
</div>

<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 5px; width:1335px"">

<table border="0">
        <tr>
            <td align="right">

                     @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "SaveEdit";
                            button.Text = "Save";
                            button.Width = Unit.Pixel(80);
                            button.ClientEnabled = false;
                            button.Style.Add("display", "inline-table");
                            button.ClientSideEvents.Click = "btnSave_click";
                        }
                    ).GetHtml() 
                    
                     @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "SaveEdit2";
                            button.Text = "Save";
                            button.Width = Unit.Pixel(80);
                            button.ClientEnabled = true;
                            button.ClientVisible = false;
                            button.Style.Add("display", "inline-table");
                            button.ClientSideEvents.Click = "btnSaveEdit";
                        }
                    ).GetHtml()  
                              
                </td>
                <td align="right">

                     @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "Cancel";
                            button.Text = "Cancel";
                            button.Width = Unit.Pixel(80);
                            button.ClientEnabled = false;
                            button.Style.Add("display", "inline-table");
                            button.ClientSideEvents.Click = "btnCancel_click";
                        }
                    ).GetHtml()           
                </td>

            <td align="right" style="width: 1100px;">
                    
                    @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "btnNew";
                            button.Text = "Add";
                            button.ClientEnabled = true;
                            button.Width = Unit.Pixel(80);
                            button.Style.Add("display", "inline-table");
                            button.ClientSideEvents.Click = "btnNew_click";
                        }
                    ).GetHtml()


                     @*@Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "popnew";
                            button.Text = "Add";
                            button.Width = Unit.Pixel(80);
                            button.Style.Add("display", "inline-table");
                            button.ClientSideEvents.Click = "btnNew";
                        }
                    ).GetHtml()    *@       
                </td>

                  <td align="right">

                     @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "Edit";
                            button.Text = "Edit";
                            button.Width = Unit.Pixel(80);
                            //button.ClientEnabled = false;
                            button.Style.Add("display", "inline-table");
                            button.ClientSideEvents.Click = "btnEdit";
                        }
                    ).GetHtml()           
                </td>

                @*Modify by Rahmat 2014.06.05*@
                @*<td align="right">
                     @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "Delete";
                            button.Text = "Delete";
                            button.Width = Unit.Pixel(80);
                            //button.ClientEnabled = false;
                            button.Style.Add("display", "inline-table");
                            button.ClientSideEvents.Click = "btnDelete";
                        }
                    ).GetHtml()
                </td>*@
    </tr> 
    </table> 
    </div> 